## curtin 0.1.0~bzr54

=== Makefile ===
TOP := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
CWD := $(shell pwd)

build:

check: pep8 pyflakes test

pep8:
	@$(CWD)/tools/run-pep8

pyflakes:
	@$(CWD)/tools/run-pyflakes

test:
	@nosetests3 $(noseopts) tests/


.PHONY: all test pyflakes pep8 build

=== debian/changelog ===
curtin (0.1.0~bzr54-0ubuntu1) saucy; urgency=low

  * Initial release

 -- Scott Moser <smoser@ubuntu.com>  Mon, 29 Jul 2013 16:12:09 -0400

=== debian/control ===
Source: curtin
Section: admin
Priority: extra
Standards-Version: 3.9.4
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7),
               pep8,
               python3,
               python3-nose,
               pyflakes,
               python3-setuptools,
               python3-yaml
Homepage: http://launchpad.net/curtin
X-Python3-Version: >= 3.2

Package: curtin
Architecture: all
Priority: extra
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Library and tools for the curtin installer
 This package provides the curtin installer.
 .
 Curtin is an installer that is blunt, brief, snappish, snippety and
 unceremonious.

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with=python3

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(PY3VERS) ; do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
        done

## curtin 0.1.0~bzr75

=== debian/changelog ===
curtin (0.1.0~bzr75-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * change 'curtin' installer to be python2 for better compatibility
    * split up packaging. Provide curtin, curtin-common, python-curtin and
      python3-curtin.
    * add 'curtin in-target' command for chrooting to target
    * support http_proxy, apt_proxy, and specifying ubuntu mirrors. 

 -- Scott Moser <smoser@ubuntu.com>  Thu, 19 Sep 2013 04:07:25 -0400

## curtin 0.1.0~bzr82

=== debian/changelog ===
curtin (0.1.0~bzr82-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * 'net-meta auto' is now default for interfaces.
    * power_state config can now cause reboot after install.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 19 Sep 2013 17:07:17 -0400

## curtin 0.1.0~bzr85

=== debian/changelog ===
curtin (0.1.0~bzr85-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix 'pack_install' usage for maas (LP: #1227944)
    * debian/rules: fix 'curtin' package to install as python2

 -- Scott Moser <smoser@ubuntu.com>  Fri, 20 Sep 2013 16:59:25 -0400

## curtin 0.1.0~bzr86

=== debian/changelog ===
curtin (0.1.0~bzr86-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * correctly install grub to device rather than partition
    * correctly write /etc/network/interfaces
    * get cloud-init configure to work with preseed data.
    * use tar with --numeric owner when extracting

 -- Scott Moser <smoser@ubuntu.com>  Tue, 24 Sep 2013 22:32:08 -0400

## curtin 0.1.0~bzr87

=== debian/changelog ===
curtin (0.1.0~bzr87-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix bug that prevented some systems from booting because
      'dpkg-reconfigure grub-pc' was not being run.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 25 Sep 2013 16:35:30 -0400

## curtin 0.1.0~bzr93

=== debian/changelog ===
curtin (0.1.0~bzr93-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * curtin/commands/in_target.py, curtin/commands/main.py:
      fix 'curtin -v' and 'curtin in-target' (LP: #1237139)
    * non-production / development changes:
      * doc/devel/README.txt: development doc update
      * tools/build-deb, tools/export-tarball:
        trunk development changes for creating tarball and building debs.
      * tools/launch: support '--add' for adding files such as config files

 -- Scott Moser <smoser@ubuntu.com>  Tue, 08 Oct 2013 20:20:11 -0400

## curtin 0.1.0~bzr94

=== debian/changelog ===
curtin (0.1.0~bzr94-0ubuntu1) saucy-proposed; urgency=low

  * New upstream snapshot.
    * fix bug where /usr/sbin/policy-rc.d was not being removed after
      being utilized during installation to disable daemons. (LP: #1238915)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 15 Oct 2013 14:45:16 -0400

## curtin 0.1.0~bzr126

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,8 @@
 	@$(CWD)/tools/run-pyflakes
 
 test:
-	@nosetests3 $(noseopts) tests/
+	nosetests $(noseopts) tests/
+	nosetests3 $(noseopts) tests
 
 
 .PHONY: all test pyflakes pep8 build

=== debian/changelog ===
curtin (0.1.0~bzr126-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * create 500M EFI System Partition (ESP) instead of 100M. (LP: #1306164)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 10 Apr 2014 15:11:18 -0400

curtin (0.1.0~bzr125-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * fix regression in installation on pc-bios systems (LP: #1303617)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 07 Apr 2014 10:18:34 -0400

curtin (0.1.0~bzr124-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * install correctly on UEFI booted systems (LP: #1300910)
      [Blake Rouse]
    * whitespace fixes and other small fixes.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 03 Apr 2014 14:47:01 -0400

curtin (0.1.0~bzr121-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * support installing kernel package of booted kernel
      to enable hardware enablement kernels through maas.
    * support Calxeda highbank and other ARMv7 systems
    * fix gpt partitioning.  It wouldn't allow grub installation
    * support for using kexec to boot into the installed system
      to avoid a hardware bios post.
    * support declaring target device via config
    * support installing from a local url (file:///)
    * fix bug where 'console=' parms were not removed from image's
      settings (problematic when image was cloud image)
    * run apt-get update if installing packages

 -- Scott Moser <smoser@ubuntu.com>  Wed, 26 Mar 2014 17:34:57 -0400

curtin (0.1.0~bzr95-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:42 +0000

curtin (0.1.0~bzr95-0ubuntu1) trusty; urgency=low

  * New upstream snapshot.
    * fix bug in block-meta resulting in first disk not always being used
       (LP: #1244026)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Oct 2013 01:41:47 -0400

=== debian/control ===
Source: curtin
Section: admin
Priority: extra
Standards-Version: 3.9.4
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7),
               pep8,
               pyflakes,
               python-all,
               python-nose,
               python-setuptools,
               python-yaml,
               python3,
               python3-nose,
               python3-setuptools,
               python3-yaml
Homepage: http://launchpad.net/curtin
X-Python3-Version: >= 3.2

Package: curtin
Architecture: all
Priority: extra
Depends: python,
         python-curtin (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Library and tools for the curtin installer
 This package provides the curtin installer.
 .
 Curtin is an installer that is blunt, brief, snappish, snippety and
 unceremonious.

Package: curtin-common
Architecture: all
Priority: extra
Depends: util-linux (>= 2.20.1-1ubuntu3), ${misc:Depends}, ${python:Depends}
Conflicts: curtin (<= 0.1.0~bzr54-0ubuntu1)
Description: Library and tools for curtin installer
 This package contains utilities for the curtin installer.

Package: python-curtin
Section: python
Architecture: all
Priority: extra
Depends: curl | wget,
         curtin-common (= ${binary:Version}),
         util-linux (>= 2.20.1-1ubuntu3),
         ${misc:Depends},
         ${python:Depends}
Description: Library and tools for curtin installer
 This package provides python library for use by curtin.

Package: python3-curtin
Section: python
Architecture: all
Priority: extra
Conflicts: curtin (<= 0.1.0~bzr54-0ubuntu1)
Depends: curl | wget,
         curtin-common (= ${binary:Version}),
         util-linux (>= 2.20.1-1ubuntu3),
         ${misc:Depends},
         ${python3:Depends}
Description: Library and tools for curtin installer
 This package provides python3 library for use by curtin.

## curtin 0.1.0~bzr190

=== Makefile ===
TOP := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
CWD := $(shell pwd)

build:

check: pep8 pyflakes pyflakes3 test

pep8:
	@$(CWD)/tools/run-pep8

pyflakes:
	@$(CWD)/tools/run-pyflakes

pyflakes3:
	@$(CWD)/tools/run-pyflakes

test:
	nosetests $(noseopts) tests/
	nosetests3 $(noseopts) tests


.PHONY: all test pyflakes pyflakes3 pep8 build

=== debian/changelog ===
curtin (0.1.0~bzr190-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * add log reporter (LP: #1369129, LP: #1371218)
    * allow debug messages of helper programs to be seen
    * fix 'make check'
    * handle utf-8 output correctly. (LP: #1370249)
    * set root device correctly on ppc64 (LP: #1371133)
    * call update-grub to ensure grub.cfg is written (LP: #1373137)
    * fix dd-tgz mode, only call partprobe on target device.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Sep 2014 17:26:34 -0400

curtin (0.1.0~bzr162-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * block-meta: fix '--boot' when used with mbr.
    * human2bytes: support floating point numbers (.5G or 2G).
    * sanitize_source: fix detection of url prefixes that specify type
    * fix reference to variable before use (LP: #1361350)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 04 Sep 2014 17:10:14 -0400

curtin (0.1.0~bzr155-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    - fix '--maxsize' argument to 'curtin swap' (LP: #1360318) [Jason Hobbs]
  * d/README.source: add file describing how snapshot releases are made.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 22 Aug 2014 11:54:49 -0400

curtin (0.1.0~bzr153-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * support for creating swap file.
    * fix bug when specifying kernel mapping in config.
    * install_kernel: run apt-get udpate before searching cache (LP: #1358424)
    * correctly check for availability of eatmydata (LP: #1358350)
    * support installation on ppc64 systems (ubuntu ppc64el)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 21 Aug 2014 03:35:53 -0400

curtin (0.1.0~bzr143-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * better choose a default boot fstype.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 04 Aug 2014 04:57:29 -0400

curtin (0.1.0~bzr142-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * add utility for parsing /etc/network/interfaces
    * aarm64 support [Newell Jensen]
      * run update-initramfs in aarm64
      * create boot partition when necessary (LP: #1338851 LP: #1340942)
    * know kernel mapping for utopic (3.16)
    * properly write fstype into /etc/fstab per provided fstype
    * add support for disk images as type 'dd-tgz'
    * correctly call finalize in target (LP: #1328521)
    * support invoking tar with --xattrs if available (LP: #1307636)
    * increase size of uefi partition to 512M (LP: #1306164)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 22 Jul 2014 18:53:38 -0400

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
                pep8,
                pyflakes,
                python-all,
+               python-mock,
                python-nose,
                python-setuptools,
                python-yaml,
                python3,
                python3-nose,
                python3-setuptools,
-               python3-yaml
+               python3-yaml,
+               python3-mock
 Homepage: http://launchpad.net/curtin
 X-Python3-Version: >= 3.2

## curtin 0.1.0~bzr195

=== debian/changelog ===
curtin (0.1.0~bzr195-0ubuntu1~14.04.1~ctools0) precise; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 06 Feb 2015 07:23:31 -0500

curtin (0.1.0~bzr195-0ubuntu1~14.04.1) trusty-proposed; urgency=medium

  * New upstream snapshot.
    - hardware enablement: ppc64 support (LP: #1386394)
    - hardware enablement: know kernel mapping for utopic (hwe-u = 3.16)
      (LP: #1386394)
    - feature: support installing disk images including windows. (LP: #1386394)
    - feature: support creating swap file (LP: #1386394)
    - feature: support reporting logs back to MAAS (LP: #1386394)
    - feature: enable logging of installation to /var/log/curtin/install.log
      (LP: #1378910)
    - bug fix: extract tar files with xattr support when available (LP: #1313550)
    - bug fix: fix broken use of os.path.join for curtin hooks (LP: #1328521)
    - bug fix: util.subp to decode command output as utf-8 (LP: #1370249).
    - bug fix: call update-grub to ensure that /boot/grub/grub.cfg is created
      (LP: #1373137)
    - bug fix: do not use '--acl' when extracting tar files (LP: #1382632)
      as it inadvertently writes default directory acls.
    - bug fix: invoke lsblk with '--output' rather than '--out' to avoid
      ambiguity in newer versions of lsblk (LP: #1386275)
    - internal: part2bd helper added in helpers/common
    - internal: helpers: inherit curtin_verbosity (make the helper tools
      verbose if curtin invoked with verbose flags)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 27 Oct 2014 20:58:43 -0400

## curtin 0.1.0~bzr201

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 TOP := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
 CWD := $(shell pwd)
+PYTHON ?= python3
 
 build:
+
+bin/curtin: curtin/pack.py tools/write-curtin
+	$(PYTHON) tools/write-curtin bin/curtin
 
 check: pep8 pyflakes pyflakes3 test

=== debian/changelog ===
curtin (0.1.0~bzr201-0ubuntu1~14.10.0) utopic-proposed; urgency=medium

  * New upstream snapshot.
    - hardware enablement: knew kernel mapping for vivid (hwe-v = 3.19) 
    - hardware enablement: support running on vivid and installation of
      vivid in environment without python2. (LP: #1427950)
    - debian/control: fix lintian warnings: add build-depends on dh-python,
      wrap-and-sort, update Standards-Version.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 20 Mar 2015 16:49:19 -0400

curtin (0.1.0~bzr196-0ubuntu1~14.10.1) utopic-proposed; urgency=medium

  * New upstream snapshot.
    * fix bug installing to UEFI systems (LP: #1383727)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 08 Dec 2014 20:01:44 -0500

curtin (0.1.0~bzr195-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * move install log from /var/log/curtin_install.log to
      /var/log/curtin/install.log (LP: #1378910)
    * to not use '--acl' when extracting tar files (LP: #1382632)
      as it inadvertently writes default directory acls.
    * invoke lsblk with '--output' rather than '--out' to avoid
      ambiguity in newer versions of lsblk (LP: #1386275)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 27 Oct 2014 12:25:27 -0400

## curtin 0.1.0~bzr227

=== debian/changelog ===
curtin (0.1.0~bzr227-0ubuntu1~14.10.1) vivid-proposed; urgency=medium

  * New upstream snapshot.
    - fix uefi install path on nvme devices (LP: #1471928)
    - tools/maas2roottar: (development only tool) exit failure when missing
      dependency (LP: #1466099).
    - partition: leave space for secondary gpt header when creating mbr disks.
    - partition: when a second partition is created, assert its existance.
    - partition: when second partition is created, wipe fs info.
    - kernel command line: prefer the --- over -- to indicate that subsequent
      arguments should be copied to installed system.  (LP: #1402042)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 22 Sep 2015 12:21:28 -0400

curtin (0.1.0~bzr221-0ubuntu1~14.10.1) vivid-proposed; urgency=medium

  * New upstream snapshot.
    - support installation to multipath devices. (LP: #1371634)
    - know that kernel version 4.2.0 maps to linux-generic-lts-wily
    - support install to arm64 systems that use UEFI for boot (LP: #1447834)
    - fix remaining usage of 'lsblk --out' rather than 'lsblk --output'
      (LP: #1386275)
    - retry 'apt-get update' on failure to avoid transient failures
      (LP: #1403133)
    - run udevadm settle before unmounting /dev in a target to avoid transient
      failures (LP: #1462139)
    - fixes and additions to tools used in development.
    - Add --no-nvram to the grub-install command for UEFI. (LP: #1311827)
    - avoid race condition and transient failure due busy device in mkfs
      (LP: #1443542)
    - improvements to device and partition naming code which allow installation
      devices with HP cciss smart array drives(LP: #1401190, #1263181)
    - do not consider devices < 1G as installable targets
  * debian/README.source fix doc on how to create new upstream snapshots

 -- Scott Moser <smoser@ubuntu.com>  Wed, 24 Jun 2015 16:12:59 -0400

curtin (0.1.0~bzr201-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * curtin.deps.install: actually install, rather than --dry-run.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 20 Mar 2015 16:30:11 -0400

curtin (0.1.0~bzr200-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * support installation of vivid on vivid via python3 (LP: #1427950)
    * know kernel mapping for vivid (3.19)
  * debian/control: update standards versions, wrap-and-sort

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Mar 2015 13:19:43 -0400

curtin (0.1.0~bzr196-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * fix bug installing to UEFI systems (LP: #1383727)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 08 Dec 2014 20:01:44 -0500

## curtin 0.1.0~bzr276

=== Makefile ===
TOP := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
CWD := $(shell pwd)
PYTHON ?= python3

build:

bin/curtin: curtin/pack.py tools/write-curtin
	$(PYTHON) tools/write-curtin bin/curtin

check: pep8 pyflakes pyflakes3 unittest

pep8:
	@$(CWD)/tools/run-pep8

pyflakes:
	@$(CWD)/tools/run-pyflakes

pyflakes3:
	@$(CWD)/tools/run-pyflakes3

unittest:
	nosetests $(noseopts) tests/unittests
	nosetests3 $(noseopts) tests/unittests

docs:
	@which sphinx-build || \
		{ echo "need sphinx-build. get it:"; \
		  echo "   apt-get install -qy python3-sphinx"; exit 1; } 1>&2
	make -C doc html

vmtest:
	nosetests3 $(noseopts) tests/vmtests

vmtest-deps:
	@$(CWD)/tools/vmtest-system-setup


.PHONY: all test pyflakes pyflakes3 pep8 build

=== requirements.txt ===
# See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
pbr>=0.11,<2.0
pyyaml
urllib3
pyflakes
oauthlib

=== debian/changelog ===
curtin (0.1.0~bzr276-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * debian/control: add python3-curtin depends to curtin (LP: #1503507)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Oct 2015 09:50:34 -0400

curtin (0.1.0~bzr275-0ubuntu1) wily; urgency=medium

  * debian/README.source: tweak to doc on how to generate snapshot
  * New upstream snapshot.
    * add advanced storage layout
    * add advanced networking configuration
    * add 'vmtest' framework for automated test.
    * add 'tox' for unit testing
    * add reporting framework for reporting status events to MAAS or other
      webhook listener.
    * enable configuring of verbosity and stacktrace info in config as opposed
      to command line only
    * faster swap creation using fallocate (LP: #1482994)
    * support specifying kernel without 'mapping' in config
    * add 'system-upgrade' command and config for enabling upgrading the target

 -- Scott Moser <smoser@ubuntu.com>  Fri, 02 Oct 2015 16:19:07 -0400

curtin (0.1.0~bzr227-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * support '---' or '--' as token to indicate the subsequent kernel command
      line parameters should be copied from install envionrment to installed
      environment.  (LP: #1402042)
    * partition: when partitioning mbr and boot partition verify that
      both partitions exist.
    * partition: when creating mbr table, leave space for secondary gpt header
    * fix uefi install path on nvme devices (LP: #1471928)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 09 Jul 2015 16:17:20 -0400

curtin (0.1.0~bzr221-0ubuntu1) wily; urgency=medium

  * debian/README.source: minor fixes in doc on merging upstream
  * New upstream snapshot.
    * force re-reading of partition information before looking
      for multipath UUID matches.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 24 Jun 2015 14:08:55 -0400

curtin (0.1.0~bzr220-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * more multipath work. hopefully reliable multipath boot on ppc64 now.
    * some cleanups to partitioning code.
    * know expected kernel mapping for wily (4.2)
    * support UEFI-based ARM64 systems (LP: #1447834)
    * catch one more usage of lsblk (LP: #1386275)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Jun 2015 14:19:55 -0400

curtin (0.1.0~bzr215-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * multipath: Generate /etc/multipath/bindings file during installation.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 16 Jun 2015 15:39:29 -0400

curtin (0.1.0~bzr214-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * Use filesystem uuid rather than scsi_id to avoid false positives
      when detecting multipath (LP: #1463043).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 09 Jun 2015 16:35:21 -0400

curtin (0.1.0~bzr213-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * retry apt-get update to avoid transient failures (LP: #1403133)
    * detect and handle multipath devices (LP: #1371634)
    * udevadm settle before unmounting target's /dev (LP: #1462139)
    * doc/ improved developer doc and tools using maas images for test
    * use --no-nvram option to grub-install if available (LP: #1311827)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 05 Jun 2015 15:06:31 -0400

curtin (0.1.0~bzr205-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * improve finding devices and partitions to account for
      non-standard names (LP: #1401190, LP: #1263181)
    * do not consider removable devices or devices < 1G as installable
    * add internal function wipe_partition and use that rather than
      wipefs for wiping filesystem header data on a partition.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 May 2015 16:52:07 -0400

## curtin 0.1.0~bzr365

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 TOP := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
 CWD := $(shell pwd)
 PYTHON ?= python3
+CURTIN_VMTEST_IMAGE_SYNC ?= False
+export CURTIN_VMTEST_IMAGE_SYNC
+noseopts ?= -vv --nologcapture
 
 build:
 
@@ -28,11 +31,15 @@
 		  echo "   apt-get install -qy python3-sphinx"; exit 1; } 1>&2
 	make -C doc html
 
+# By default don't sync images when running all tests.
 vmtest:
 	nosetests3 $(noseopts) tests/vmtests
 
 vmtest-deps:
 	@$(CWD)/tools/vmtest-system-setup
 
+sync-images:
+	@$(CWD)/tools/vmtest-sync-images
+
 
 .PHONY: all test pyflakes pyflakes3 pep8 build

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,4 @@
 pbr>=0.11,<2.0
 pyyaml
 urllib3
-pyflakes
 oauthlib

=== debian/changelog ===
curtin (0.1.0~bzr365-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    * mkfs: handle fstype: vfat (LP: #1557334)
    * save the curtin install config to /root/curtin-install-cfg.yaml
    * deps: when 'curtin --install-deps' is run, it will now invoke
      apt-get install with '--no-install-recommends'
  * debian/control: adjust build dependency as python3-pyflakes in xenial
    now provides python3 modules for pyflakes.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Mar 2016 10:18:21 -0400

curtin (0.1.0~bzr359-0ubuntu1) xenial; urgency=medium

  * debian/new-upstream-snapshot, debian/README.source: add
    new-upstream-snapshot and mention it in README.source
  * New upstream snapshot.
    * curtin/net: Add bond parsing & improved source, source-directory
      parsing for ENI
    * curtin/net: move global dns-* options under auto lo in ENI (LP: #1543263)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Feb 2016 16:28:31 -0500

curtin (0.1.0~bzr351-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    * partitioning: limited support for odd ordering of partition 
      numbers (LP: #1543263).  Specifically targetted at MAAS and
      powerVM support.
    * many upstream test improvements (LP: #1533770)
    * general upstream code improvements
    * use mkfs.vfat rather than mkfs.fat to support precise.
    * use removable devices for installation if no non-removable devices are
      found [Robert Clark] (LP: #1532062)
    * mkfs: fix for lack of uuid in btrfs tools on precise or trusty
    * added 'curtin mkfs' command for easily making filesystems.
    * mdadm: fix issues exposed by use via block_meta (LP: #1531520)
    * improvements and small bug fix for oauth on systems with bad clock
    * support bcache installation on precise
    * fix bug in install_grub to partition when storage_config 
      provided. (LP: #1523779)
    * url_helper: raise import error on lack of oauth only when oauth used
    * block_meta: handle 'preserve' flag for raid devices (LP: #1522147)
    * close file descriptors from --config= arguments
    * xenial: disable update-motd during an apt-get update (LP: #1527710)
    * curthooks: know kernel mapping for xenial (4.4.0)
    * fix python executable selection when 'curtin --help' is called
    * subp: add decode parameter, defaulting to replace (LP: #1526127)
    * support passing an integer or valid float to human2bytes
    * Use /proc/mounts to find missing mountpoints

 -- Scott Moser <smoser@ubuntu.com>  Fri, 12 Feb 2016 17:07:33 -0500

curtin (0.1.0~bzr314-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    * support installing .tar.xz, .tar.gz, .tar.bz2 or .tar via smtar helper
    * improve dependency checking (LP: #1514888)
    * Allow re-use of bcache cache devices with separate backing devices 
      (LP: #1514094)
    * call mkfs.ext3 or mkfs.ext4 with -F (force)
    * Partition alignment and sizing fixes (LP: #1513085)
    * Set bcache cache_mode if present in storage config (LP: #1510334)
    * apt-get update: do not download translation files and source files
      during installation.
    * new sub-commands 'system-upgrade' and 'system-install' for package
      upgrade and installation.
  * debian/control: do not list unversioned e2fsprogs as it is essential.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 23 Nov 2015 11:28:52 -0500

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,42 @@
 Source: curtin
 Section: admin
 Priority: extra
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7),
+               dh-python,
                pep8,
                pyflakes,
                python-all,
                python-mock,
                python-nose,
+               python-oauthlib,
                python-setuptools,
                python-yaml,
                python3,
+               python3-mock,
                python3-nose,
+               python3-oauthlib,
+               python3-pyflakes | pyflakes (<< 1.1.0-2),
                python3-setuptools,
-               python3-yaml,
-               python3-mock
+               python3-yaml
 Homepage: http://launchpad.net/curtin
 X-Python3-Version: >= 3.2
 
 Package: curtin
 Architecture: all
 Priority: extra
-Depends: python,
-         python-curtin (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends}
+Depends: btrfs-tools,
+         dosfstools,
+         file,
+         gdisk,
+         lvm2,
+         mdadm,
+         parted,
+         python3-curtin (= ${binary:Version}),
+         udev,
+         xfsprogs,
+         ${misc:Depends}
 Description: Library and tools for the curtin installer
  This package provides the curtin installer.
  .
@@ -35,7 +46,7 @@
 Package: curtin-common
 Architecture: all
 Priority: extra
-Depends: util-linux (>= 2.20.1-1ubuntu3), ${misc:Depends}, ${python:Depends}
+Depends: util-linux (>= 2.20.1-1ubuntu3), ${misc:Depends}, ${python3:Depends}
 Conflicts: curtin (<= 0.1.0~bzr54-0ubuntu1)
 Description: Library and tools for curtin installer
  This package contains utilities for the curtin installer.

## curtin 0.1.0~bzr399

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
 TOP := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
 CWD := $(shell pwd)
 PYTHON ?= python3
+COVERAGE ?= 1
+DEFAULT_COVERAGEOPTS = --with-coverage --cover-erase --cover-branches --cover-package=curtin --cover-inclusive 
+ifeq ($(COVERAGE), 1)
+	coverageopts ?= $(DEFAULT_COVERAGEOPTS)
+endif
 CURTIN_VMTEST_IMAGE_SYNC ?= False
 export CURTIN_VMTEST_IMAGE_SYNC
 noseopts ?= -vv --nologcapture
@@ -12,6 +17,9 @@
 
 check: pep8 pyflakes pyflakes3 unittest
 
+coverage: coverageopts ?= $(DEFAULT_COVERAGEOPTS)
+coverage: unittest
+
 pep8:
 	@$(CWD)/tools/run-pep8
 
@@ -22,8 +30,8 @@
 	@$(CWD)/tools/run-pyflakes3
 
 unittest:
-	nosetests $(noseopts) tests/unittests
-	nosetests3 $(noseopts) tests/unittests
+	nosetests $(coverageopts) $(noseopts) tests/unittests
+	nosetests3 $(coverageopts) $(noseopts) tests/unittests
 
 docs:
 	@which sphinx-build || \

=== requirements.txt ===
pyyaml
oauthlib

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/curtin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/curtin.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/curtin"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/curtin"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
curtin (0.1.0~bzr399-0ubuntu1~14.04.1) trusty-proposed; urgency=medium

  * SRU current curtin
    - curtin/net: fix inet value for subnets, don't add interface attributes
      to alias (LP: #1588547)
    - improve net-meta network configuration (LP: #1592149)
    - reporting: set webhook handler level to DEBUG, no filtering
      (LP: #1590846)
    - tests/vmtests: add yakkety, remove vivid
    - curtin/net: use post-up for interface alias, resolve 120 second time out
      on Trusty when using interface aliases
    - vmtest: provide info on images used
    - fix multipath configuration and add multipath tests (LP: #1551937)
    - tools/launch and tools/xkvm: whitespace cleanup and bash -x
    - tools/launch: boot by root=LABEL=cloudimg-rootfs
    - Initial vmtest power8 support and TestSimple test.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 19 Jul 2016 15:03:33 -0400

curtin (0.1.0~bzr389-0ubuntu1~14.04.1) trusty-proposed; urgency=medium

  * New upstream snapshot.
    * Detect and remove legacy /etc/network/interfaces.d/eth0.cfg from
      target (LP: #1577872)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 03 Jun 2016 11:23:49 -0400

curtin (0.1.0~bzr387-0ubuntu1~14.04.1) trusty-proposed; urgency=medium

  * sru current curtin (LP: #1577872)
  * debian/new-upstream-snapshot, debian/README.source: add
    new-upstream-snapshot and mention it in README.source
  * debian/control: drop python from curtin-common Depends.
     remove unnecessary Depends on util-linux as it is essential.
     python3-curtin, python-curtin: drop unnecessary 'curl' from Depends.
     python3-curtin, python-curtin: list oauthlib and yaml Depends
  * debian/control: add bcache-tools to curtin Depends.
  * New upstream snapshot.
    - fix timestamp not being updated in reported events
    - mdadm: resolve mdadm/bcache and trusty+hwe issues
    - fix support for 4k disks
    - emit source /etc/network/interfaces.d/*.cfg in
      rendered /etc/network/interfaces
    - net: introduce 'control' field to network configuration to allow
      for declaring manual controlled interfaces
    - disable cloud-init networking as curtin is the source of network config
    - block: wipe_volume improvements
    - reporter: enhance reporting events to include levels and
      improve usefullness of messages
    - network: add bonding tests and cleanup newline rendering
    - block: fix partition path issue with nvme devices
    - fix logic error in kernel installation
    - block: add debug regarding raid modules being missing on mdadm create
    - add s390x support to curtin and vmtest
    - support build on xenial where python3 pyflakes is split out
    - fix uefi install path on nvme devices
    - numerous unit tests and vmtests improvements. Add running
      of pylint for static checking.
    - Add bond parsing & improved source, source-directory parsing
      of /etc/network/interfaces.
    - move global dns-* options under auto lo in /etc/network/interfaces
    - partitioning: limited support for odd ordering of partition numbers
    - change use of mkfs.fat to mkfs.vfat and add dependency.
    - block-meta: use removable devices if no non-removable devices are
      found [Robert Clark]
    - Improve 'curtin mkfs' and move mkfs logic to block.mkfs fixes
      using btrfs on precise and trusty.
    - fix failures caused by systems with invalid system_clock
    - support bcache installation on precise
    - fix bug in install_grub to partition when storage_config provided
      fixing lvm installation on power8
    - block_meta: handle 'preserve' flag for raid devices
    - close file descriptors from --config= arguments
    - xenial: disable update-motd during an apt-get update
    - subp: add decode parameter, defaulting to replace.
      this fixes errors when output of a command had non-utf chars
    - support passing an integer or valid float to human2bytes
    - Use /proc/mounts to find missing mountpoints rather than relying
      entirely on lsblk as lsblk differs widely between ubuntu releases.
    - support extracting tar files compressed with xz or bzip or
      uncompressed. Previously required gzip compression.
    - Improve dependency checking and installation
      this fixes curtin running on precise and installing dependencies
      it needs.
    - Reduce chance udev race with mdadm opening /dev/mdX
    - Allow re-use of bcache cache devices with separate backing devices
    - invoke mkfs.ext3 or mkfs.ext4 with -F to fix issues found if
      target device had a filesystem already present.
    - Partition alignment and sizing fixes
    - Set bcache cache_mode if present in storage config
    - when apt-get update is called during installation, do not download
      translation files and source files, reducing chances for mismatch.
    - add system-install sub command. 'curtin system-install pastebinit'
      will install packages in a way guaranteed to not prompt.
    - add 'system-upgrade' command and config to easily update the
      system after installation before reboot.
    - fix reporting of FAIL when a subcommand used sys.exit(0)
    - grub-install: if fail to find mounted uefi partition, give more
      debug output
    - network config: add support for dns-search key in subnet and search
      in nameserver
    - Ensure required networking packages are installed in the target.
    - stop grub from going into graphical/vga mode on installed systems
    - curthooks: support specifying kernel/package without mapping
    - ChrootableTarget: do not attempt to change resolv.conf if
      there is no /etc directory
    - list the set of features that curtin has for library users.
      users can now check the FEATURES list for a specific feature.
    - fix bug in argument parsing --set mykey=foo=bar
    - in-target: add '--capture' to in-target and special case target=/
    - support declaring json in --set argument via --set=json:...
    - add reporting function to allow calling a webhook endpoint


=== debian/control ===
--- 
+++ 
@@ -8,12 +8,14 @@
                pep8,
                pyflakes,
                python-all,
+               python-coverage,
                python-mock,
                python-nose,
                python-oauthlib,
                python-setuptools,
                python-yaml,
                python3,
+               python3-coverage,
                python3-mock,
                python3-nose,
                python3-oauthlib,
@@ -26,14 +28,15 @@
 Package: curtin
 Architecture: all
 Priority: extra
-Depends: btrfs-tools,
+Depends: bcache-tools,
+         btrfs-tools,
          dosfstools,
          file,
          gdisk,
          lvm2,
          mdadm,
          parted,
-         python3-curtin (= ${binary:Version}),
+         python-curtin (= ${binary:Version}),
          udev,
          xfsprogs,
          ${misc:Depends}
@@ -46,7 +49,7 @@
 Package: curtin-common
 Architecture: all
 Priority: extra
-Depends: util-linux (>= 2.20.1-1ubuntu3), ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}
 Conflicts: curtin (<= 0.1.0~bzr54-0ubuntu1)
 Description: Library and tools for curtin installer
  This package contains utilities for the curtin installer.
@@ -55,9 +58,10 @@
 Section: python
 Architecture: all
 Priority: extra
-Depends: curl | wget,
-         curtin-common (= ${binary:Version}),
-         util-linux (>= 2.20.1-1ubuntu3),
+Depends: curtin-common (= ${binary:Version}),
+         python-oauthlib,
+         python-yaml,
+         wget,
          ${misc:Depends},
          ${python:Depends}
 Description: Library and tools for curtin installer
@@ -68,9 +72,10 @@
 Architecture: all
 Priority: extra
 Conflicts: curtin (<= 0.1.0~bzr54-0ubuntu1)
-Depends: curl | wget,
-         curtin-common (= ${binary:Version}),
-         util-linux (>= 2.20.1-1ubuntu3),
+Depends: curtin-common (= ${binary:Version}),
+         python3-oauthlib,
+         python3-yaml,
+         wget,
          ${misc:Depends},
          ${python3:Depends}
 Description: Library and tools for curtin installer

## curtin 0.1.0~bzr425

=== Makefile ===
--- 
+++ 
@@ -49,5 +49,7 @@
 sync-images:
 	@$(CWD)/tools/vmtest-sync-images
 
+clean:
+	rm -rf doc/_build
 
-.PHONY: all test pyflakes pyflakes3 pep8 build
+.PHONY: all clean test pyflakes pyflakes3 pep8 build

=== debian/changelog ===
curtin (0.1.0~bzr425-0ubuntu1) yakkety; urgency=medium

  [ Scott Moser ]
  * debian/new-upstream-snapshot: add writing of debian changelog entries. 

  [ Ryan Harper ]
  * New upstream snapshot.
    - unittest,tox.ini: catch and fix issue with trusty-level mock of open 
    - block/mdadm: add option to ignore mdadm_assemble errors  (LP: #1618429)
    - curtin/doc: overhaul curtin documentation for readthedocs.org
      (LP: #1351085)
    - curtin.util: re-add support for RunInChroot  (LP: #1617375)
    - curtin/net: overhaul of eni rendering to handle mixed ipv4/ipv6 configs 
    - curtin.block: refactor clear_holders logic into block.clear_holders and
      cli cmd 
    - curtin.apply_net should exit non-zero upon exception.  (LP: #1615780)
    - apt: fix bug in disable_suites if sources.list line is blank. 
    - vmtests: disable Wily in vmtests 
    - Fix the unittests for test_apt_source. 

 -- Scott Moser <smoser@ubuntu.com>  Thu, 29 Sep 2016 14:55:29 -0400

curtin (0.1.0~bzr415-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - Add apt configuration features. (LP: #1574113)
    - mkfs.vfat: add force flag for formating whole disks (LP: #1597923)
    - block.mkfs: fix sectorsize flag (LP: #1597522)
    - block_meta: cleanup use of sys_block_path and handle cciss knames
      (LP: #1562249)
    - block.get_blockdev_sector_size: handle _lsblock multi result return
      (LP: #1598310)
    - util: add target (chroot) support to subp, add target_path helper
    - block_meta: fallback to parted if blkid does not produce output
      (LP: #1524031)
    - commands.block_wipe:  correct default wipe mode to 'superblock'

 -- Scott Moser <smoser@ubuntu.com>  Fri, 05 Aug 2016 16:51:20 -0400

curtin (0.1.0~bzr399-0ubuntu1) yakkety; urgency=medium

  * debian/new-upstream-snapshot: fix for specifying revision.
  * New upstream snapshot.
    - curtin/net: fix inet value for subnets, don't add interface attributes
      to alias (LP: #1588547)
    - improve net-meta network configuration (LP: #1592149)
    - reporting: set webhook handler level to DEBUG, no filtering
      (LP: #1590846)
    - tests/vmtests: add yakkety, remove vivid
    - curtin/net: use post-up for interface alias, resolve 120 second time out
      on Trusty when using interface aliases
    - vmtest: provide info on images used
    - fix multipath configuration and add multipath tests (LP: #1551937)
    - tools/launch and tools/xkvm: whitespace cleanup and bash -x
    - tools/launch: boot by root=LABEL=cloudimg-rootfs
    - Initial vmtest power8 support and TestSimple test.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 12 Jul 2016 12:31:34 -0400

curtin (0.1.0~bzr389-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot. 
    * Detect and remove legacy /etc/network/interfaces.d/eth0.cfg from
      target (LP: #1582410)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 03 Jun 2016 09:34:17 -0400

curtin (0.1.0~bzr387-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    * fix timestamp in reporting events.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 10 May 2016 10:19:20 -0400

curtin (0.1.0~bzr385-0ubuntu2) yakkety; urgency=medium

  * debian/control: add bcache-tools dependency to curtin.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 05 May 2016 16:35:37 -0400

curtin (0.1.0~bzr385-0ubuntu1) yakkety; urgency=medium

  * debian/control: drop python from curtin-common Depends.
     remove unnecessary Depends on util-linux as it is essential.
     python3-curtin, python-curtin: drop unnecessary 'curl' from Depends. 
     python3-curtin, python-curtin: list oauthlib and yaml explicitly.

  * New upstream snapshot.
    * mdadm: resolve mdadm/bcache and trusty+hwe issues
      (LP: #1569549, LP: #1514094)
    * fix support for 4k disks (LP: #1436632, LP: #1564977)
    * emit source /etc/network/interfaces.d/*.cfg in 
      rendered /etc/network/interfaces
    * net: introduce 'control' field to network configuration to allow
      for declaring manual controlled interfaces
    * disable cloud-init networking as curtin is the source of network config
    * block: wipe_volume improvements
    * reporter: enhance reporting events to include levels and
      improve usefullness of messages
    * network: add bonding tests and cleanup newline rendering
    * block: fix partition path issue with nvme devices
    * fix logic error in kernel installation
    * block: add debug regarding raid modules being missing on mdadm create
    * add s390x support to curtin and vmtest
  

 -- Scott Moser <smoser@ubuntu.com>  Thu, 05 May 2016 12:43:40 -0400
